Tiktok
Search TikTok videos by keyword
Returns a paginated list of TikTok videos matching the keyword `q`. Use `next_cursor` from the response as the next request's `cursor`. When `has_more` is false, `next_cursor` is null.
Authorization
bearerAuth AuthorizationBearer <token>
UnifAPI API key (forwarded verbatim as the upstream provider token).
In: header
Query Parameters
cursor?string
limit?integer
Default
20Range
1 <= value <= 50q*string
Search keyword
Length
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/tiktok/search/videos?q=string"{
"items": [
{
"id": "string",
"title": "string",
"video_description": "string",
"create_time": 0,
"duration": 0,
"cover_image_url": "string",
"share_url": "string",
"embed_link": "string",
"width": 0,
"height": 0,
"like_count": 0,
"comment_count": 0,
"share_count": 0,
"view_count": 0,
"author": {
"id": "string",
"username": "string",
"display_name": "string",
"avatar_url": "string"
},
"region": "string",
"hashtags": [
"string"
],
"music": {
"id": "string",
"title": "string",
"author": "string",
"is_original": true
},
"is_image_post": true,
"play_url": "string"
}
],
"has_more": true,
"next_cursor": "string"
}{
"error": {
"type": "validation_error",
"message": "string",
"request_id": "string",
"issues": [
null
]
}
}{
"error": {
"type": "validation_error",
"message": "string",
"request_id": "string",
"issues": [
null
]
}
}{
"error": {
"type": "validation_error",
"message": "string",
"request_id": "string",
"issues": [
null
]
}
}{
"error": {
"type": "validation_error",
"message": "string",
"request_id": "string",
"issues": [
null
]
}
}{
"error": {
"type": "validation_error",
"message": "string",
"request_id": "string",
"issues": [
null
]
}
}{
"error": {
"type": "validation_error",
"message": "string",
"request_id": "string",
"issues": [
null
]
}
}{
"error": {
"type": "validation_error",
"message": "string",
"request_id": "string",
"issues": [
null
]
}
}